Debian Bug report logs - #565308
ITP: mariadb-server-core-5.5 -- MariaDB dropin alt server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: lists@kempgen.net

Date: Thu, 14 Jan 2010 17:54:05 UTC

Owned by: Otto Kekäläinen <otto@fsfe.org>

Severity: wishlist

Merged with 688505

Fixed in version mariadb-5.5/5.5.32-1

Done: Otto Kekäläinen <otto@seravo.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, philipp.kempgen@amooma.de, <wnpp@debian.org>:
Bug#565308; Package wnpp. (Thu, 14 Jan 2010 17:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kempgen <philipp.kempgen@amooma.de>:
New Bug report received and forwarded. Copy sent to philipp.kempgen@amooma.de, <wnpp@debian.org>. (Thu, 14 Jan 2010 17:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kempgen <philipp.kempgen@amooma.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: mariadb-server -- MariaDB is a community developed branch of the MySQL database that uses the Maria engine by default.
Date: Thu, 14 Jan 2010 09:00:30 +0100
Package: wnpp
Severity: wishlist


* Package name    : mariadb-server
  Version         : 5.1
  Upstream Author : Michael -Monty- Widenius <>
* URL             : http://askmonty.org/wiki/index.php/MariaDB
* License         : GPL
  Programming Lang: C, C++
  Description     : MariaDB is a community developed branch of the MySQL database that uses the Maria engine by default.

Quoting
http://askmonty.org/wiki/index.php/MariaDB :

===  What is MariaDB?

MariaDB is a community developed branch of the MySQL database that
uses the Maria engine by default.


===  What is the goal of MariaDB?

To provide a community developed, stable, and always Free branch
of MySQL that is, on the user level, compatible with the main
version. We strive for total interoperability with our upstreams
and our own community.

MariaDB will be kept up to date with the latest MySQL release from
the same branch. For example MariaDB 5.1 will be kept up to date
with MySQL 5.1.

We will do a merge from the MySQL branch for every new MySQL
release or when there is some fatal bugfix applied to the main
branch.

We strive to keep our main trees as free from bugs as possible. It
should be reasonably safe to pull from our trees at any time. We
work to provide builds of the main branch and active development
branches every month.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Feb 2010 22:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kristian Nielsen <knielsen@knielsen-hq.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Feb 2010 22:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 565308@bugs.debian.org (full text, mbox):

From: Kristian Nielsen <knielsen@knielsen-hq.org>
To: 565308@bugs.debian.org
Subject: Additional information about existing work on .debs available
Date: Tue, 09 Feb 2010 22:40:59 +0100
Some additional information that might be useful:

 - apt-able repositories of MariaDB are available from http://ourdelta.org/

 - Package scripts for .deb are maintained on Launchpad: https://launchpad.net/ourdelta

 - Build of packages are automated in Buildbot: https://buildbot.askmonty.org/buildbot/grid?branch=5.1-release&category=package . (It might be helpful to check build logs from this to see how the packaging scripts are used).

I can provide further information on the packaging scripts on request.

Hope this helps,

 - Kristian.




Changed Bug submitter to 'lists@kempgen.net' from 'Philipp Kempgen <philipp.kempgen@amooma.de>' Request was from Philipp Kempgen <office@kempgen.net> to control@bugs.debian.org. (Sun, 09 May 2010 22:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Mon, 08 Nov 2010 16:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Nov 2010 16:03:13 GMT) Full text and rfc822 format available.

Message #17 received at 565308@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Kristian Nielsen <knielsen@knielsen-hq.org>
Cc: 565308@bugs.debian.org, 565308-submitter@bugs.debian.org, ourdelta-developers@lists.launchpad.net, pkg-mysql-maint@lists.alioth.debian.org
Subject: MariaDB in Debian proper?
Date: Mon, 8 Nov 2010 16:43:01 +0100
On Tue, Feb 09, 2010 at 10:40:59PM +0100, Kristian Nielsen wrote:
> Some additional information that might be useful:

>  - apt-able repositories of MariaDB are available from http://ourdelta.org/

>  - Package scripts for .deb are maintained on Launchpad: https://launchpad.net/ourdelta

> I can provide further information on the packaging scripts on request.

I started to look into MariaDB; I was considering inclusion of MariaDB
in Debian proper, and to this effect was wondering:

 1) Does the ourdelta team judge the packaging mature enough for that
    inclusion, or does it need more work?

 2) If a package for MariaDB based on the ourdelta packages gets
    uploaded into Debian proper, how does the ourdelta team see
    cooperation there?

    Would ourdelta become the maintainers of the Debian package
    (within Debian), or would you rather see it as a cooperation
    between ourdelta and a separate (but possibly overlapping in
    composisition) Debian team? In any of these cases, I'm considering
    getting involved.

    As far as uploading to Debian is concerned, the workflow could
    look something like:

    * Any team member can commit to the vcs repository, even if not
      having Debian Developer status.

    * Each upload to Debian has to be vetted by a Debian Developer
      (from the team).


 3) What is the Debian MySQL maintainers team take on this? Would it
    in some way like to take care of MariaDB, too?


It is naturally too late for inclusion in Squeeze (Debian 6.0), but
aiming for the release after that should be doable.

-- 
Lionel




Message sent on to lists@kempgen.net:
Bug#565308. (Mon, 08 Nov 2010 16:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Mon, 08 Nov 2010 20:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kristian Nielsen <knielsen@knielsen-hq.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Nov 2010 20:36:16 GMT) Full text and rfc822 format available.

Message #25 received at 565308@bugs.debian.org (full text, mbox):

From: Kristian Nielsen <knielsen@knielsen-hq.org>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: 565308@bugs.debian.org, 565308-submitter@bugs.debian.org, ourdelta-developers@lists.launchpad.net, pkg-mysql-maint@lists.alioth.debian.org, serg@askmonty.org, colin@askmonty.org
Subject: Re: MariaDB in Debian proper?
Date: Mon, 08 Nov 2010 21:18:24 +0100
Lionel Elie Mamane <lionel@mamane.lu> writes:

> On Tue, Feb 09, 2010 at 10:40:59PM +0100, Kristian Nielsen wrote:
>> Some additional information that might be useful:
>
>>  - apt-able repositories of MariaDB are available from http://ourdelta.org/
>
>>  - Package scripts for .deb are maintained on Launchpad: https://launchpad.net/ourdelta
>
>> I can provide further information on the packaging scripts on request.
>
> I started to look into MariaDB; I was considering inclusion of MariaDB
> in Debian proper, and to this effect was wondering:
>
>  1) Does the ourdelta team judge the packaging mature enough for that
>     inclusion, or does it need more work?

I think it is certainly mature enough. We have been building packages for 18
month or so, and they are integrated in our daily build system with both
builds and install+upgrade testing. And after all, they are based closely on
the existing MySQL Debian packages, which are quite mature.

The main issue that needs solving is to let MySQL and MariaDB packages
co-exist in the same repository. Since MariaDB is essentially a different
version of MySQL, we need a way for users to select which of the two
alternatives they want. With current packaging, users choose by adding (or not
adding) the MariaDB repository, and if they add it, MariaDB packages replace
any corresponding MySQL packages.

With the current packages in Debian, it is not possible to solve this
satisfactorily (as far as I know). The problem is that there are other
packages that have versioned "depends:" on MySQL packages, eg.
libdbd-mysql-perl on libmysqlclient15off. So it is not possible for MariaDB to
satisfy this dependency with a "provides:", even though MariaDB does include
an alternative libmysqlclient.so.

What has been discussed is to solve this by introducing virtual packages for
libmysqlclient15off and similar packages; these would then depend: on
mysql-xxx|mariadb-xxx packages. This requires changes to MySQL packages as
well as to MariaDB packages.

>  2) If a package for MariaDB based on the ourdelta packages gets
>     uploaded into Debian proper, how does the ourdelta team see
>     cooperation there?
>
>     Would ourdelta become the maintainers of the Debian package
>     (within Debian), or would you rather see it as a cooperation
>     between ourdelta and a separate (but possibly overlapping in
>     composisition) Debian team? In any of these cases, I'm considering
>     getting involved.

I think either could work. We in MariaDB are mostly developers rather than
packagers, so it might make sense to coorperate with a separate team. More
Debian experience would only help integrate the packages better with the rest
of Debian. But we are certainly willing to help out, including doing the work
of developing and maintaining the packages should that be needed.

>     As far as uploading to Debian is concerned, the workflow could
>     look something like:
>
>     * Any team member can commit to the vcs repository, even if not
>       having Debian Developer status.
>
>     * Each upload to Debian has to be vetted by a Debian Developer
>       (from the team).

It sounds reasonable, though I am not sufficiently familiar with Debian
development to really understand the issue and possibilities.

>  3) What is the Debian MySQL maintainers team take on this? Would it
>     in some way like to take care of MariaDB, too?

If they are interested and have the time, it would certainly make sense that
they are involved. MariaDB packaging is very close to MySQL packaging, and
such involvement could help both to maintain consistency between the packaging
of the two, as well as with the seamless integration with respect to user's
choice between them.

> It is naturally too late for inclusion in Squeeze (Debian 6.0), but
> aiming for the release after that should be doable.

Sounds good!

 - Kristian.




Message sent on to lists@kempgen.net:
Bug#565308. (Mon, 08 Nov 2010 20:36:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Aquilina <eagles051387@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 07:21:03 GMT) Full text and rfc822 format available.

Message #33 received at 565308@bugs.debian.org (full text, mbox):

From: Jonathan Aquilina <eagles051387@gmail.com>
To: Kristian Nielsen <knielsen@knielsen-hq.org>
Cc: Lionel Elie Mamane <lionel@mamane.lu>, ourdelta-developers@lists.launchpad.net, serg@askmonty.org, 565308-submitter@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org, colin@askmonty.org, 565308@bugs.debian.org
Subject: Re: [debian-mysql] MariaDB in Debian proper?
Date: Tue, 9 Nov 2010 08:16:47 +0100
[Message part 1 (text/plain, inline)]
it was mentioned to give a user choice as to what to use. i have seen for
instance when you install gnome aside kde it asks you what desktop manager
you want to use. Wouldnt something like that be needed in this situation?

On Mon, Nov 8, 2010 at 9:18 PM, Kristian Nielsen
<knielsen@knielsen-hq.org>wrote:

> Lionel Elie Mamane <lionel@mamane.lu> writes:
>
> > On Tue, Feb 09, 2010 at 10:40:59PM +0100, Kristian Nielsen wrote:
> >> Some additional information that might be useful:
> >
> >>  - apt-able repositories of MariaDB are available from
> http://ourdelta.org/
> >
> >>  - Package scripts for .deb are maintained on Launchpad:
> https://launchpad.net/ourdelta
> >
> >> I can provide further information on the packaging scripts on request.
> >
> > I started to look into MariaDB; I was considering inclusion of MariaDB
> > in Debian proper, and to this effect was wondering:
> >
> >  1) Does the ourdelta team judge the packaging mature enough for that
> >     inclusion, or does it need more work?
>
> I think it is certainly mature enough. We have been building packages for
> 18
> month or so, and they are integrated in our daily build system with both
> builds and install+upgrade testing. And after all, they are based closely
> on
> the existing MySQL Debian packages, which are quite mature.
>
> The main issue that needs solving is to let MySQL and MariaDB packages
> co-exist in the same repository. Since MariaDB is essentially a different
> version of MySQL, we need a way for users to select which of the two
> alternatives they want. With current packaging, users choose by adding (or
> not
> adding) the MariaDB repository, and if they add it, MariaDB packages
> replace
> any corresponding MySQL packages.
>
> With the current packages in Debian, it is not possible to solve this
> satisfactorily (as far as I know). The problem is that there are other
> packages that have versioned "depends:" on MySQL packages, eg.
> libdbd-mysql-perl on libmysqlclient15off. So it is not possible for MariaDB
> to
> satisfy this dependency with a "provides:", even though MariaDB does
> include
> an alternative libmysqlclient.so.
>
> What has been discussed is to solve this by introducing virtual packages
> for
> libmysqlclient15off and similar packages; these would then depend: on
> mysql-xxx|mariadb-xxx packages. This requires changes to MySQL packages as
> well as to MariaDB packages.
>
> >  2) If a package for MariaDB based on the ourdelta packages gets
> >     uploaded into Debian proper, how does the ourdelta team see
> >     cooperation there?
> >
> >     Would ourdelta become the maintainers of the Debian package
> >     (within Debian), or would you rather see it as a cooperation
> >     between ourdelta and a separate (but possibly overlapping in
> >     composisition) Debian team? In any of these cases, I'm considering
> >     getting involved.
>
> I think either could work. We in MariaDB are mostly developers rather than
> packagers, so it might make sense to coorperate with a separate team. More
> Debian experience would only help integrate the packages better with the
> rest
> of Debian. But we are certainly willing to help out, including doing the
> work
> of developing and maintaining the packages should that be needed.
>
> >     As far as uploading to Debian is concerned, the workflow could
> >     look something like:
> >
> >     * Any team member can commit to the vcs repository, even if not
> >       having Debian Developer status.
> >
> >     * Each upload to Debian has to be vetted by a Debian Developer
> >       (from the team).
>
> It sounds reasonable, though I am not sufficiently familiar with Debian
> development to really understand the issue and possibilities.
>
> >  3) What is the Debian MySQL maintainers team take on this? Would it
> >     in some way like to take care of MariaDB, too?
>
> If they are interested and have the time, it would certainly make sense
> that
> they are involved. MariaDB packaging is very close to MySQL packaging, and
> such involvement could help both to maintain consistency between the
> packaging
> of the two, as well as with the seamless integration with respect to user's
> choice between them.
>
> > It is naturally too late for inclusion in Squeeze (Debian 6.0), but
> > aiming for the release after that should be doable.
>
> Sounds good!
>
>  - Kristian.
>
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-mysql-maint
>



-- 
Jonathan Aquilina
[Message part 2 (text/html, inline)]

Message sent on to lists@kempgen.net:
Bug#565308. (Tue, 09 Nov 2010 07:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 08:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kristian Nielsen <knielsen@knielsen-hq.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 08:15:09 GMT) Full text and rfc822 format available.

Message #41 received at 565308@bugs.debian.org (full text, mbox):

From: Kristian Nielsen <knielsen@knielsen-hq.org>
To: Jonathan Aquilina <eagles051387@gmail.com>
Cc: Lionel Elie Mamane <lionel@mamane.lu>, ourdelta-developers@lists.launchpad.net, serg@askmonty.org, 565308-submitter@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org, colin@askmonty.org, 565308@bugs.debian.org
Subject: Re: [debian-mysql] MariaDB in Debian proper?
Date: Tue, 09 Nov 2010 09:13:59 +0100
Jonathan Aquilina <eagles051387@gmail.com> writes:

> it was mentioned to give a user choice as to what to use. i have seen for
> instance when you install gnome aside kde it asks you what desktop manager
> you want to use. Wouldnt something like that be needed in this situation?

Gnome and KDE are non-conflicting, you can install both at the same time.

The situation with MariaDB and MySQL is different. MariaDB is essentially a
different version of MySQL; the binaries are named the same, the libraries are
named the same, it runs on the same default port, etc. So only one can be
installed at a time.

In Ubuntu 9.04 for example, there is a similar situation, since they have
eg. mysql-server-5.0 and mysql-server-5.1 packages, both of which "provides:"
mysql-server. The situation with our MariaDB Debian packages is the same, both
mariadb-server-5.1 and mysql-server-5.1 "provides:" mysql-server.

 - Kristian.




Message sent on to lists@kempgen.net:
Bug#565308. (Tue, 09 Nov 2010 08:15:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Aquilina <eagles051387@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 565308@bugs.debian.org (full text, mbox):

From: Jonathan Aquilina <eagles051387@gmail.com>
To: Kristian Nielsen <knielsen@knielsen-hq.org>
Cc: Lionel Elie Mamane <lionel@mamane.lu>, ourdelta-developers@lists.launchpad.net, serg@askmonty.org, 565308-submitter@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org, colin@askmonty.org, 565308@bugs.debian.org
Subject: Re: [debian-mysql] MariaDB in Debian proper?
Date: Tue, 9 Nov 2010 09:25:10 +0100
[Message part 1 (text/plain, inline)]
then in that case why not setup mysql-server as a dependency for MariaDB?

On Tue, Nov 9, 2010 at 9:13 AM, Kristian Nielsen
<knielsen@knielsen-hq.org>wrote:

> Jonathan Aquilina <eagles051387@gmail.com> writes:
>
> > it was mentioned to give a user choice as to what to use. i have seen for
> > instance when you install gnome aside kde it asks you what desktop
> manager
> > you want to use. Wouldnt something like that be needed in this situation?
>
> Gnome and KDE are non-conflicting, you can install both at the same time.
>
> The situation with MariaDB and MySQL is different. MariaDB is essentially a
> different version of MySQL; the binaries are named the same, the libraries
> are
> named the same, it runs on the same default port, etc. So only one can be
> installed at a time.
>
> In Ubuntu 9.04 for example, there is a similar situation, since they have
> eg. mysql-server-5.0 and mysql-server-5.1 packages, both of which
> "provides:"
> mysql-server. The situation with our MariaDB Debian packages is the same,
> both
> mariadb-server-5.1 and mysql-server-5.1 "provides:" mysql-server.
>
>  - Kristian.
>



-- 
Jonathan Aquilina
[Message part 2 (text/html, inline)]

Message sent on to lists@kempgen.net:
Bug#565308. (Tue, 09 Nov 2010 08:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 09:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kristian Nielsen <knielsen@knielsen-hq.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 09:33:06 GMT) Full text and rfc822 format available.

Message #57 received at 565308@bugs.debian.org (full text, mbox):

From: Kristian Nielsen <knielsen@knielsen-hq.org>
To: Jonathan Aquilina <eagles051387@gmail.com>
Cc: Lionel Elie Mamane <lionel@mamane.lu>, ourdelta-developers@lists.launchpad.net, serg@askmonty.org, 565308-submitter@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org, colin@askmonty.org, 565308@bugs.debian.org
Subject: Re: [debian-mysql] MariaDB in Debian proper?
Date: Tue, 09 Nov 2010 10:29:14 +0100
Jonathan Aquilina <eagles051387@gmail.com> writes:

> then in that case why not setup mysql-server as a dependency for MariaDB?

I don't understand. Mariadb provides mysql-server. It doesn't depend on it.

 - Kristian.




Message sent on to lists@kempgen.net:
Bug#565308. (Tue, 09 Nov 2010 09:33:13 GMT) Full text and rfc822 format available.

Information stored :
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 10:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kempgen <lists@kempgen.net>:
Extra info received and filed, but not forwarded. (Tue, 09 Nov 2010 10:03:14 GMT) Full text and rfc822 format available.

Message #65 received at 565308-quiet@bugs.debian.org (full text, mbox):

From: Philipp Kempgen <lists@kempgen.net>
To: 565308-quiet@bugs.debian.org
Cc: Kristian Nielsen <knielsen@knielsen-hq.org>
Subject: Re: Bug#565308: MariaDB in Debian proper?
Date: Tue, 09 Nov 2010 11:00:53 +0100
Kristian Nielsen wrote:

> The main issue that needs solving is to let MySQL and MariaDB packages
> co-exist in the same repository. Since MariaDB is essentially a different
> version of MySQL, we need a way for users to select which of the two
> alternatives they want. With current packaging, users choose by adding (or not
> adding) the MariaDB repository, and if they add it, MariaDB packages replace
> any corresponding MySQL packages.
> 
> With the current packages in Debian, it is not possible to solve this
> satisfactorily (as far as I know). The problem is that there are other
> packages that have versioned "depends:" on MySQL packages, eg.
> libdbd-mysql-perl on libmysqlclient15off. So it is not possible for MariaDB to
> satisfy this dependency with a "provides:", even though MariaDB does include
> an alternative libmysqlclient.so.

IIRC it should be possible by now to provide (Provides:) versioned
packages but I don't know for sure if that has actually been
implemented or rather if that will be implemented for Debian 7
Wheezy.

> 
> What has been discussed is to solve this by introducing virtual packages for
> libmysqlclient15off and similar packages; these would then depend: on
> mysql-xxx|mariadb-xxx packages. This requires changes to MySQL packages as
> well as to MariaDB packages.


  Philipp





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 11:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 11:39:10 GMT) Full text and rfc822 format available.

Message #70 received at 565308@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Kristian Nielsen <knielsen@knielsen-hq.org>, Jonathan Aquilina <eagles051387@gmail.com>
Cc: 565308@bugs.debian.org, ourdelta-developers@lists.launchpad.net, pkg-mysql-maint@lists.alioth.debian.org, serg@askmonty.org, colin@askmonty.org
Subject: Re: MariaDB in Debian proper?
Date: Tue, 9 Nov 2010 12:37:14 +0100
On Mon, Nov 08, 2010 at 09:18:24PM +0100, Kristian Nielsen wrote:
> Lionel Elie Mamane <lionel@mamane.lu> writes:

>> I started to look into MariaDB; I was considering inclusion of MariaDB
>> in Debian proper, and to this effect was wondering:

>>  1) Does the ourdelta team judge the packaging mature enough for that
>>     inclusion, or does it need more work?

> I think it is certainly mature enough. (...)

> The main issue that needs solving is to let MySQL and MariaDB packages
> co-exist in the same repository.

So they _do_ need some more work :)

> The problem is that there are other packages that have versioned
> "depends:" on MySQL packages, eg.  libdbd-mysql-perl on
> libmysqlclient15off.

Note in passing: thinking of upload to Debian proper, that is now
libmysqlclient16.

> So it is not possible for MariaDB to satisfy this dependency with a
> "provides:", even though MariaDB does include an alternative
> libmysqlclient.so.

> What has been discussed is to solve this by introducing virtual packages for
> libmysqlclient15off and similar packages; these would then depend: on
> mysql-xxx|mariadb-xxx packages. This requires changes to MySQL packages as
> well as to MariaDB packages.

These would have to be real, but empty (dependency-only) packages, not
virtual packages.

I implicitly understand that, as far as predictable, the
libmysqlclient.so.NN from MariaDB will stay binary-compatible with the
one from MySQL.

On Tue, Nov 09, 2010 at 09:13:59AM +0100, Kristian Nielsen wrote:
> Jonathan Aquilina <eagles051387@gmail.com> writes:

>> it was mentioned to give a user choice as to what to use. i have seen for
>> instance when you install gnome aside kde it asks you what desktop manager
>> you want to use. Wouldnt something like that be needed in this situation?

> Gnome and KDE are non-conflicting, you can install both at the same time.

> The situation with MariaDB and MySQL is different. MariaDB is
> essentially a different version of MySQL; the binaries are named the
> same, the libraries are named the same, it runs on the same default
> port, etc. So only one can be installed at a time.

I'm not entirely convinced; as far as *desirable* is it truly
impossible that one would wish to install both side by side,
e.g. because they have diverged in features, or for testing before
switching?

As far as *possible*:

The default port is not a problem: this is configurable, or they can
be configured to listen on different IPs. The same for the datadir,
socket, etc.

The server executables seems not to be linked against any
MySQL-specific library, so that's not a problem. Unless it maybe
dlopen()s them?

I expect the executable name, man pages, etc can rather easily be
renamed.

So, it seems *possible* to me to arrange things so that the servers
can both be installed at the same time, and with some configuration
left to the admin, running at the same time.


Only one of the *client* libraries can be installed and active and the
same time, that much seems correct.


-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kristian Nielsen <knielsen@knielsen-hq.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 13:03:06 GMT) Full text and rfc822 format available.

Message #75 received at 565308@bugs.debian.org (full text, mbox):

From: Kristian Nielsen <knielsen@knielsen-hq.org>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: Jonathan Aquilina <eagles051387@gmail.com>, 565308@bugs.debian.org, ourdelta-developers@lists.launchpad.net, pkg-mysql-maint@lists.alioth.debian.org, serg@askmonty.org, colin@askmonty.org
Subject: Re: MariaDB in Debian proper?
Date: Tue, 09 Nov 2010 14:01:18 +0100
Lionel Elie Mamane <lionel@mamane.lu> writes:

>> The main issue that needs solving is to let MySQL and MariaDB packages
>> co-exist in the same repository.
>
> So they _do_ need some more work :)

Yes. The existing packages are not suitable as-is for inclusion in Debian
because of this issue.

>> The problem is that there are other packages that have versioned
>> "depends:" on MySQL packages, eg.  libdbd-mysql-perl on
>> libmysqlclient15off.
>
> Note in passing: thinking of upload to Debian proper, that is now
> libmysqlclient16.

Yes, you are right, MariaDB 5.1 and MySQL 5.1 have libmysqlclient16,
libmysqlclient15 is from MySQL 5.0.

>> So it is not possible for MariaDB to satisfy this dependency with a
>> "provides:", even though MariaDB does include an alternative
>> libmysqlclient.so.
>
>> What has been discussed is to solve this by introducing virtual packages for
>> libmysqlclient15off and similar packages; these would then depend: on
>> mysql-xxx|mariadb-xxx packages. This requires changes to MySQL packages as
>> well as to MariaDB packages.
>
> These would have to be real, but empty (dependency-only) packages, not
> virtual packages.

You are right, sorry for using the wrong terminology.

> I implicitly understand that, as far as predictable, the
> libmysqlclient.so.NN from MariaDB will stay binary-compatible with the
> one from MySQL.

Correct.

> I'm not entirely convinced; as far as *desirable* is it truly
> impossible that one would wish to install both side by side,
> e.g. because they have diverged in features, or for testing before
> switching?

You are right. Packaging MariaDB so that it does not conflict with MySQL is an
alternative approach.

> The default port is not a problem: this is configurable, or they can
> be configured to listen on different IPs. The same for the datadir,
> socket, etc.

> I expect the executable name, man pages, etc can rather easily be
> renamed.

It is possible to change the port, rename files, etc. The problem is that
there are many other programs that connect to MySQL, run the client binaries,
link the libraries. It seems to me it will become more difficult to make all
these programs able to use MariaDB as an alternative, and easy to end up so
that MariaDB users will need to have also some mysql packages installed to
satisfy dependencies. Or maybe that can all be handled with empty
(dependency-only) packages, /etc/alternatives, and similar mechanisms?

Another issue is that the data directories would need to be different (by
default...), so upgrading from MySQL -> MariaDB (or the other way round) would
require manual action to migrate the data. Currently, we make a lot of effort
to ensure that `apt-get install mariadb-server` will automatically migrate,
including migrating the data directory (and we run automated upgrade tests of
this scenario on all Debian and Ubuntu versions for every push to our code
trees).

I guess the bottom line is that we are very much in the mindset that MariaDB
is a plug-in replacement of MySQL that is 100% backward compatible (and will
stay so), so it makes most sense for us to package it the same way that MySQL
5.1 replaces MySQL 5.0.

On the other hand, as you say, installing side-by-side would make other use
cases simpler.

> Only one of the *client* libraries can be installed and active and the
> same time, that much seems correct.

I suppose, unless something like /etc/alternatives symlinks can be used (don't
know if this is possible).

> The server executables seems not to be linked against any
> MySQL-specific library, so that's not a problem. Unless it maybe
> dlopen()s them?

Agree, should not be a problem (the server dlopen()s some .so plugins, but
those can easily be kept separate).

> So, it seems *possible* to me to arrange things so that the servers
> can both be installed at the same time, and with some configuration
> left to the admin, running at the same time.

Agree. It is not the path that I would select, however in the end I think it
is up to the Debian developers to decide.

 - Kristian.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 09 Nov 2010 15:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Nov 2010 15:24:02 GMT) Full text and rfc822 format available.

Message #80 received at 565308@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Kristian Nielsen <knielsen@knielsen-hq.org>
Cc: Jonathan Aquilina <eagles051387@gmail.com>, 565308@bugs.debian.org, ourdelta-developers@lists.launchpad.net, pkg-mysql-maint@lists.alioth.debian.org, serg@askmonty.org, colin@askmonty.org
Subject: Re: MariaDB in Debian proper?
Date: Tue, 9 Nov 2010 16:21:07 +0100
On Tue, Nov 09, 2010 at 02:01:18PM +0100, Kristian Nielsen wrote:
> Lionel Elie Mamane <lionel@mamane.lu> writes:

>>> The main issue that needs solving is to let MySQL and MariaDB packages
>>> co-exist in the same repository.

>>> MariaDB is essentially a different version of MySQL; the binaries
>>> are named the same, the libraries are named the same, it runs on
>>> the same default port, etc. So only one can be installed at a
>>> time.

>> I'm not entirely convinced; as far as *desirable* is it truly
>> impossible that one would wish to install both side by side,
>> e.g. because they have diverged in features, or for testing before
>> switching?

> You are right. Packaging MariaDB so that it does not conflict with
> MySQL is an alternative approach.

> It is possible to change the port, rename files, etc. The problem is that
> there are many other programs that connect to MySQL, run the client binaries,
> link the libraries. It seems to me it will become more difficult to make all
> these programs able to use MariaDB as an alternative, and easy to end up so
> that MariaDB users will need to have also some mysql packages installed to
> satisfy dependencies. Or maybe that can all be handled with empty
> (dependency-only) packages, /etc/alternatives, and similar mechanisms?

> Another issue is that the data directories would need to be different (by
> default...), so upgrading from MySQL -> MariaDB (or the other way round) would
> require manual action to migrate the data. Currently, we make a lot of effort
> to ensure that `apt-get install mariadb-server` will automatically migrate,
> including migrating the data directory (and we run automated upgrade tests of
> this scenario on all Debian and Ubuntu versions for every push to our code
> trees).

What about this (some names are suboptimal but I cannot find something
better right now):

Package mariadb-server-5.1:
 - installable alongside MySQL (renamed binaries, etc)
 - on first installation asks "shall I configure myself to take over
   from MySQL or run alongside"?

   If choice is "run alongside", create /etc/mysql/conf.d/mariadb,
   containing only "mariadb" section, making mariadb default to
   different port, data directory, etc.

 - /usr/share/doc/mariadb-server-5.1/README.Debian explains how to
   switch to "takeover from MySQL", basically delete
   /etc/mysql/conf.d/mariadb

Package mariadb-server-mysql:
 - conflicts: mysql-server-5.1, mysql-server-5.0, ...
 - depends: mariadb-server-5.1
 - symlinks /usr/sbin/mysqld->mariadbd, etc.


We can have the same setup for the client packages, or not; the client
packages seem less important to be coinstallable IMHO. In any case,
the libmysql16-FOO packages will *not* be coinstallable.

> On the other hand, as you say, installing side-by-side would make other use
> cases simpler.

>> Only one of the *client* libraries can be installed and active and the
>> same time, that much seems correct.

> I suppose, unless something like /etc/alternatives symlinks can be
> used (don't know if this is possible).

Well, we could, but there is no point, since only one will be used by
programs anyway (that is, be found by the dynamic linker
/lib/ld-linux*.so.2 to resolve the SONAME libmysql.so.16).

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Mon, 24 Jan 2011 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Jan 2011 08:06:03 GMT) Full text and rfc822 format available.

Message #85 received at 565308@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Adrian Lang <mail@adrianlang.de>
Cc: 565308@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org
Subject: Re: [debian-mysql] Entirely replace MySQL?
Date: Mon, 24 Jan 2011 08:56:55 +0100
Am Sonntag, den 23.01.2011, 12:54 +0100 schrieb Adrian Lang:
> How about completely replacing the MySQL packages with MariaDB like the
> OpenOffice.org team did with LibreOffice?

I don't know the reasons why Debian decided to drop OpenOffice.org and
replace it with LibreOffice, but I currently see no reason why we should
replace MySQL with MariaDB.

Regards, Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Sat, 05 Mar 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Mar 2011 09:51:03 GMT) Full text and rfc822 format available.

Message #90 received at 565308@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: 565308@bugs.debian.org
Subject: RFP: mariadb-server -- MariaDB is a community developed branch of the MySQL, database that uses the Maria engine by default.
Date: Sat, 05 Mar 2011 12:46:58 +0300
[Message part 1 (text/plain, inline)]
I think we need add it as is. Then we have two packages.

Choise between mysql and mariadeb make as alternatives and symlinks.
It`s need for programms used *mysql*.so files. But for web projects it
not important.

Blocking port 3306 is user problem. Anybody can change it.

I think the mariadb don`t need to replace the mysql. Even if the author
of mariadb wants it. We need 2 packages.

-- 

         Roman V. Nikolaev

mail:        rshadow@rambler.ru
icq:         198-364-657
jabber:      rshadow@jabber.org
site:        http://www.rshadow.ru

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Thu, 22 Sep 2011 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to infernix <infernix@infernix.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 22 Sep 2011 20:45:06 GMT) Full text and rfc822 format available.

Message #95 received at 565308@bugs.debian.org (full text, mbox):

From: infernix <infernix@infernix.net>
To: 565308@bugs.debian.org
Subject: RFP: mariadb-server -- MariaDB is a community developed branch of, the MySQL, database that uses the Maria engine by default.
Date: Thu, 22 Sep 2011 22:30:12 +0200
Following the announcement by Oracle that there will be new commercial 
extensions for MySQL, effectively putting MySQL under the Open Core 
model, should the decision to replace MySQL with MariaDB be revisited?

Monty's blog post: 
http://monty-says.blogspot.com/2011/09/oracle-adding-close-source-extensions.html

Oracle's announcement: 
http://blogs.oracle.com/MySQL/entry/new_commercial_extensions_for_mysql

Would using MariaDB not be more in line with the philosophy behind Debian?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Tue, 27 Sep 2011 21:09:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Sep 2011 21:09:27 GMT) Full text and rfc822 format available.

Message #100 received at 565308@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: infernix@infernix.net
Cc: 565308@bugs.debian.org, pkg-mysql-maint@lists.alioth.debian.org
Subject: RFP: mariadb-server -- MariaDB is a community developed branch of, the MySQL, database that uses the Maria engine by default.
Date: Tue, 27 Sep 2011 23:08:34 +0200
Hello,

> Following the announcement by Oracle that there will be new
> commercial extensions for MySQL, effectively putting MySQL under the
> Open Core model, should the decision to replace MySQL with MariaDB be
> revisited?

Open Core is no reason to replace MySQL with MariaDB.

Both programs should be available at Debian. The user should decide if
he uses MySQL or MariaDB.

	Jonas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Sat, 17 Dec 2011 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van der Vlis <paul@vandervlis.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 17 Dec 2011 20:39:03 GMT) Full text and rfc822 format available.

Message #105 received at 565308@bugs.debian.org (full text, mbox):

From: Paul van der Vlis <paul@vandervlis.nl>
To: 565308@bugs.debian.org
Subject: RFP: mariadb-server
Date: Sat, 17 Dec 2011 21:26:07 +0100
In Debian we don't like code duplication. Is it an idea to build MySQL
and MariaDB from the same sources, where MariaDB is a patch on MySQL?
Could be an idea for more forks...

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Thu, 08 Mar 2012 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Mar 2012 15:27:03 GMT) Full text and rfc822 format available.

Message #110 received at 565308@bugs.debian.org (full text, mbox):

From: anarcat <anarcat@anarcat.ath.cx>
To: 565308@bugs.debian.org
Subject: isn't it time?
Date: Thu, 8 Mar 2012 10:25:52 -0500
[Message part 1 (text/plain, inline)]
I feel strongly about this issue: I think it's time for Debian to
embrace the true free software alternative to MySQL, which is now owned
and vandalized by Oracle, through proprietary extensions or the recent
embargo on security patch information.

In my opinion, this is unacceptable for an open source project and while
maybe it's premature to simply replace MySQL like we did for
LibreOffice, we should at the very least aim to get mariadb in shape for
wheezy, and possibly with backports to squeeze.

From what i understand reading this bug report, the main issue is that
MariaDB provides a drop-in replacement for MySQL which makes it hard for
both packages to be in archive, let alone be installed, at the same
time.

For example, the Ourdelta packages have a "mysql-common" binary package
which obviously overlaps with the Mysql source package. Also, there are
versionned dependencies on non-virtual packages from libdbd-mysql-perl
and so on that would require collaboration with the MySQL packging team.

Nevertheless, this seems to be a huge priority for free software, and
yes, I think it can be compared with the Libreoffice switch in the
community, which happened in great part because distros like Debian
stepped in to do the change by default.

Now, again, I believe both packages can live in parallel, but let's at
least ship this in wheezy.

Go?

-- 
We are discreet sheep; we wait to see how the drove is going, and then go
with the drove.
                        - Mark Twain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Thu, 08 Mar 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Mar 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #115 received at 565308@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 565308@bugs.debian.org
Subject: mysql's security issues
Date: Thu, 08 Mar 2012 10:35:07 -0500
Hi,

I'm wondering if the recent security upgrade that we just had in
Squeeze, which included not only unspecified and undisclosed
vulnerabilities from upstream, but also a requirement to upgrade MySQL
to a completely new upstream version would be the same situation with
mariadb?

micah




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Wed, 02 May 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Van Hevelingen <blkperl@cat.pdx.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 May 2012 06:03:03 GMT) Full text and rfc822 format available.

Message #120 received at 565308@bugs.debian.org (full text, mbox):

From: William Van Hevelingen <blkperl@cat.pdx.edu>
To: 565308@bugs.debian.org
Subject: RFP: mariadb-server
Date: Tue, 01 May 2012 22:45:07 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Any update on this request?

I would love to see it packaged. Debates about whether it should replace
mysql should be done later so we can get the package as fast as possible.

William.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPoMmtAAoJEG/X455CzBnzhLoQAIB/y2EgS63cNh/DMfYsrl2D
z4uoAG266xC6JRHO4IbEzladuogWfMeyRwPsu/GE5iCLNYSQ550obd4Ol8ICS/gO
H4IhlUs9Hsd1GaflvXOdONkqfDsxThxAh4fulOwiqL0ISFzGbTw9psc7zmCC0H8z
biFCoCM82dq+XB4KQdVreSUzmmNTsPXhOphsedMGEhAqv+DywrWbh5q+AgcMo5wi
pvENFuKpb/+ZHhje2cAFkls/bh6zCf3i3Rnh7lv028oopw10Dl9o3GKdrLLTj/lQ
DUsPXZW0nsmjIQBdvUxvNGCRpZvVp7qHGwbWYUJPXiELYBvY+gm95fWuq6q/oGtg
0T/4yLQLImhDsSYgUu9aNFNftnEzVdQrH4KIrUOU4l+0d2bbCvNPYaCVgtTXAbM6
17iTDMII59/pKQ2FbZCDx2EHO3xryA9C+6I6NqNLjYfMTYKqSWF54GLkxSpVFVWj
pbW8YZLwSUZjNd8bGAqqRmUJch+b4+K4DDycBOjfxUIhuEdO1Fwp0BriP/mXcdLS
axqzCguU31oL2Zxe8EODPL4I9fyuYA/YVHqFSvptVzeQ96pzLL9rAHKIw30UzQwn
UIuUeDUvzSwmQc+cZrVV1U47s3OloeVdKBkIj3ltAmFe+DjyhXtUiJw9LGLsDHDu
lV6biXYBi81jyGibCkfI
=qgp5
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#565308; Package wnpp. (Wed, 20 Jun 2012 06:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 20 Jun 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #125 received at 565308@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 565308@bugs.debian.org
Subject: mariadb
Date: Wed, 20 Jun 2012 07:13:14 +0100
retitle 565308 ITP: mariadb-server-core-5.5
owner 565308 nicholas@periapt.co.uk
thanks

I am looking at packaging this on behalf of the Debian Mysql packaging
team. It should be a drop in replacement for mysql-server-core-5.5 and
will have a Provides clause to that effect.




Changed Bug title to 'ITP: mariadb-server-core-5.5' from 'RFP: mariadb-server -- MariaDB is a community developed branch of the MySQL database that uses the Maria engine by default.' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 20 Jun 2012 06:15:08 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 20 Jun 2012 06:15:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mariadb-server-core-5.5 -- <missing description>' from 'ITP: mariadb-server-core-5.5' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 24 Jun 2012 08:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mariadb-server-core-5.5 - MariaDB dropin alt server' from 'ITP: mariadb-server-core-5.5 -- <missing description>' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 24 Jun 2012 08:39:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mariadb-server-core-5.5 -- MariaDB dropin alt server' from 'ITP: mariadb-server-core-5.5 - MariaDB dropin alt server' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 20:45:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 23 Sep 2012 18:54:03 GMT) Full text and rfc822 format available.

Merged 565308 688505 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 23 Sep 2012 18:54:04 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 23 Sep 2012 18:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Tue, 04 Dec 2012 17:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark - Syminet <mark@syminet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Tue, 04 Dec 2012 17:42:17 GMT) Full text and rfc822 format available.

Message #146 received at 565308@bugs.debian.org (full text, mbox):

From: Mark - Syminet <mark@syminet.com>
To: 565308@bugs.debian.org
Subject: I too would like to see this
Date: Tue, 4 Dec 2012 09:23:36 -0800
[Message part 1 (text/plain, inline)]
	
I guess there must be some additional complexity here which we don't know about?  There are already perfectly functioning mariadb packages but we would very much prefer to not be forced into using third party repositories.  With the security embargo and other things mysql is now effectively proprietary software.  

Mark 


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Wed, 23 Jan 2013 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark - Syminet <mark@syminet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Wed, 23 Jan 2013 18:45:03 GMT) Full text and rfc822 format available.

Message #151 received at 565308@bugs.debian.org (full text, mbox):

From: Mark - Syminet <mark@syminet.com>
To: 565308@bugs.debian.org
Subject: Any Progress?
Date: Wed, 23 Jan 2013 10:23:58 -0800
[Message part 1 (text/plain, inline)]
Wondering if there is any progress on this?  Backports?  Would really like to avoid being forced to use third party repos if possible.  
I see that Fedora has proposed replacing MySQL:  http://lists.fedoraproject.org/pipermail/devel-announce/2013-January/001037.html

-- 
Mark 




[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Wed, 13 Feb 2013 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otto Kekäläinen <otto@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Wed, 13 Feb 2013 13:45:07 GMT) Full text and rfc822 format available.

Message #156 received at 565308@bugs.debian.org (full text, mbox):

From: Otto Kekäläinen <otto@fsfe.org>
To: 565308@bugs.debian.org
Subject: Any updates to intent to package?
Date: Wed, 13 Feb 2013 15:41:53 +0200
Nicholas Bamber stated intent to package in comment #125
Any updates on that? Can I help?


-- 
Otto Kekäläinen                   []         otto@fsfe.org
Finnish Team Coordinator        [][][]  finland@fsfe.org
Free Software Foundation Europe   ||      +358 44 566 2204
Support FSFE! http://fsfe.org/support?otto



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 25 Mar 2013 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Symonds <mark@syminet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 25 Mar 2013 16:03:04 GMT) Full text and rfc822 format available.

Message #161 received at 565308@bugs.debian.org (full text, mbox):

From: Mark Symonds <mark@syminet.com>
To: 565308@bugs.debian.org
Subject: Slackware moves to mariadb as well
Date: Mon, 25 Mar 2013 08:26:34 -0700
[Message part 1 (text/plain, inline)]
We see today that Slackware has also switched to MariaDB by default along with Fedora and OpenSuse.  It is unfortunate that debian doesn't even have packages as an option yet.  

Mark 


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Thu, 02 May 2013 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otto Kekäläinen <otto@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Thu, 02 May 2013 20:15:09 GMT) Full text and rfc822 format available.

Message #166 received at 565308@bugs.debian.org (full text, mbox):

From: Otto Kekäläinen <otto@fsfe.org>
To: 565308@bugs.debian.org
Subject: Status
Date: Thu, 2 May 2013 23:11:58 +0300
I could take over the responsibility of this bug/ITP.

SpamapS promised to sponsor my upload if I package MariaDB with
according to latest Debian policies (upstream MariaDB packaging is a
bit lacking) and I have now done so. Source at
https://github.com/ottok/pkg-mariadb

I have requested access to git.debian.org but haven't got any yet.
Packaging is git-buildpackage compatible.

A feedback round has been made on the pkg-mysql-maint@ list and the
package builds and installs fine on latest stable Debian. I am now
hoping to get it uploaded into experimental or testing (next Debian
8.0).

If you want to help, please test the packaging and give feedback!

--
Otto Kekäläinen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 17:21:04 GMT) Full text and rfc822 format available.

Message #171 received at 565308@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: debian-devel@lists.debian.org
Cc: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>, 565308@bugs.debian.org
Subject: Re: Will we see MariaDB in Jessie?
Date: Mon, 06 May 2013 19:17:47 +0200
[Message part 1 (text/plain, inline)]
Am 06.05.2013 19:02, schrieb Thomas Goirand:
> I wonder what the plans of the MySQL maintainers are concerning MySQL vs
> MariaDB. Famously, Fedora made the switch. What will happen in Debian?
> What kind of transition would this mean? Would it be a drop-in
> replacement like Monty is pretending, or would it be harder?

An ITP exists: #565308

But why should it _replace_ MySQL, why not providing it as an
alternative MySQL'ish server?

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

  Blog: http://www.linux-dev.org/
E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 17:36:04 GMT) Full text and rfc822 format available.

Message #176 received at 565308@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Patrick Matthäi <pmatthaei@debian.org>
Cc: debian-devel@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>, 565308@bugs.debian.org
Subject: Re: Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 19:33:35 +0200
[Message part 1 (text/plain, inline)]
On Mon, May  6, 2013 at 19:17:47 +0200, Patrick Matthäi wrote:

> But why should it _replace_ MySQL, why not providing it as an
> alternative MySQL'ish server?
> 
Because Oracle.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 17:42:04 GMT) Full text and rfc822 format available.

Message #181 received at 565308@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: debian-devel@lists.debian.org
Cc: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>, 565308@bugs.debian.org
Subject: Re: Will we see MariaDB in Jessie?
Date: Mon, 06 May 2013 19:39:50 +0200
[Message part 1 (text/plain, inline)]
Am 06.05.2013 19:33, schrieb Julien Cristau:
> On Mon, May  6, 2013 at 19:17:47 +0200, Patrick Matthäi wrote:
> 
>> But why should it _replace_ MySQL, why not providing it as an
>> alternative MySQL'ish server?
>>
> Because Oracle.

That alone does not count, since it is still OSS.

As long as _MySQL_ maintainers are able (and want) to continue MySQL (or
some other person) there is no reason to not keep it in Debian.

I also can not get used to the thought that we only provide one
alternative like some other more or less popular distributions, where
you need e.g. a HTTP daemon and then you just can install Apache from
their repositories.

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

  Blog: http://www.linux-dev.org/
E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 17:48:04 GMT) Full text and rfc822 format available.

Message #186 received at 565308@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: debian-devel@lists.debian.org, pkg-mysql-maint@lists.alioth.debian.org, 565308@bugs.debian.org
Subject: Re: Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 13:54:41 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 06, 2013 at 07:39:50PM +0200, Patrick Matthäi wrote:
> 
> As long as _MySQL_ maintainers are able (and want) to continue MySQL (or

It's my understanding a lot of them jumped ship.

Meh. +1 to kill MySQL for MariaDB. It's got a much better future. I see
it more like a libc changeover. Who cares, it's got the same interface.
We only have things to gain (better upstream, upstream commited to real
f/oss, new features, etc.)

Cheers,
  Paul

-- 
 .''`.  Paul Tagliamonte <paultag@debian.org>
: :'  : Proud Debian Developer
`. `'`  4096R / 8F04 9AD8 2C92 066C 7352  D28A 7B58 5B30 807C 2A87
 `-     http://people.debian.org/~paultag
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjoern Meier <bjoern.meier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 17:48:07 GMT) Full text and rfc822 format available.

Message #191 received at 565308@bugs.debian.org (full text, mbox):

From: Bjoern Meier <bjoern.meier@gmail.com>
Cc: Debian Developers <debian-devel@lists.debian.org>, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>, 565308@bugs.debian.org
Subject: Re: Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 19:45:34 +0200
hi,


Just my two 2 cent: I would like to have an virtual package
"Database", to resolve some deps. So there hasn't be a question of
what database someone have to use.
Okay, the mainproblem here is not all packages have interface for
every database, but it could solve these questions

Greetings,
Björn



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 18:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 18:21:18 GMT) Full text and rfc822 format available.

Message #196 received at 565308@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: Paul Tagliamonte <paultag@debian.org>
Cc: debian-devel@lists.debian.org, pkg-mysql-maint@lists.alioth.debian.org, 565308@bugs.debian.org
Subject: Re: [debian-mysql] Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 19:18:35 +0100
On 6 May 2013 18:54, Paul Tagliamonte <paultag@debian.org> wrote:
> Meh. +1 to kill MySQL for MariaDB. It's got a much better future. I see
> it more like a libc changeover. Who cares, it's got the same interface.
> We only have things to gain (better upstream, upstream commited to real
> f/oss, new features, etc.)

Personally I think the users should have the flexibility to choose.

Having a policy on how such packages can coexist could then allow
other options to also be added cleanly (MySQL Cluster, Percona, Galera
etc).

That's not to say the recommended one can't switch to MariaDB, if the
community decides that's the way to go.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otto Kekäläinen <otto@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 18:30:04 GMT) Full text and rfc822 format available.

Message #201 received at 565308@bugs.debian.org (full text, mbox):

From: Otto Kekäläinen <otto@fsfe.org>
To: Steven Ayre <steveayre@gmail.com>
Cc: Paul Tagliamonte <paultag@debian.org>, debian-devel@lists.debian.org, 565308@bugs.debian.org, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: [debian-mysql] Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 21:26:26 +0300
2013/5/6 Steven Ayre <steveayre@gmail.com>:
> Having a policy on how such packages can coexist could then allow
> other options to also be added cleanly (MySQL Cluster, Percona, Galera
> etc).

I've done my best to package MariaDB following best practices on
Debian control files and conflict/replace rules. So I am confident to
say we actually already have a way how to get MySQL flavors to
coexist. What we seem to lack is _resources_. I guess we could package
all of Percona, Galera etc is we had 15 team members to take care of
all testing, security patching etc.

Would you like to join?

Volunteer by attending our next online meeting!

Next online meeting is Thu 2013-05-09 at 20:00 GMT. Anybody can
attend, just join the Google Hangout at
https://plus.google.com/hangouts/_/calendar/b3R0b0BzZXJhdm8uZmk.29m1jpsppitqqvv76s609dbuf8
(fallback to #debian-mysql if Hangout does not work for somebody).



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Mon, 06 May 2013 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 06 May 2013 22:45:04 GMT) Full text and rfc822 format available.

Message #206 received at 565308@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: Otto Kekäläinen <otto@fsfe.org>
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, "565308@bugs.debian.org" <565308@bugs.debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: [debian-mysql] Will we see MariaDB in Jessie?
Date: Mon, 6 May 2013 23:41:57 +0100
[Message part 1 (text/plain, inline)]
> I've done my best to package MariaDB following best practices on
> Debian control files and conflict/replace rules. So I am confident to
> say we actually already have a way how to get MySQL flavors to
> coexist. What we seem to lack is _resources_. I guess we could package
> all of Percona, Galera etc is we had 15 team members to take care of
> all testing, security patching etc.
> 
> Would you like to join?

For my own part I packaged MySQL Cluster some time ago, but missed the wheezy freeze and besides no one came forward as a sponsor (I'm not a DD). It's largely based on the mysql-5.5 packaging.

https://github.com/SteveAyre/mysql-cluster

Now the freeze is over I'll take a look at updating it following the meeting and raise it on debian-mentors again.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#565308; Package wnpp. (Wed, 19 Jun 2013 07:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Urlichs <matthias@urlichs.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Wed, 19 Jun 2013 07:42:09 GMT) Full text and rfc822 format available.

Message #211 received at 565308@bugs.debian.org (full text, mbox):

From: Matthias Urlichs <matthias@urlichs.de>
To: 565308@bugs.debian.org
Subject: (manpage of) mysql is no longer free!
Date: Wed, 19 Jun 2013 09:22:34 +0200
As http://lwn.net/Articles/555278/rss reports, Oracle now transitions the
man pages away from the GPL. That's not their first move along these lines
and it's unlikely to be their last.

Time to replace mysql with mariadb in Debian.
Other distributions have done it, with no adverse effects that I can see.



Owner changed from nicholas@periapt.co.uk to Otto Kekäläinen <otto@fsfe.org>. Request was from Otto Kekäläinen <otto@fsfe.org> to control@bugs.debian.org. (Fri, 20 Sep 2013 10:18:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 30 Sep 2013 20:09:08 GMT) Full text and rfc822 format available.

Reply sent to Otto Kekäläinen <otto@seravo.fi>:
You have taken responsibility. (Sun, 22 Dec 2013 04:06:08 GMT) Full text and rfc822 format available.

Notification sent to lists@kempgen.net:
Bug acknowledged by developer. (Sun, 22 Dec 2013 04:06:09 GMT) Full text and rfc822 format available.

Message #220 received at 565308-close@bugs.debian.org (full text, mbox):

From: Otto Kekäläinen <otto@seravo.fi>
To: 565308-close@bugs.debian.org
Subject: Bug#565308: fixed in mariadb-5.5 5.5.32-1
Date: Sun, 22 Dec 2013 04:02:25 +0000
Source: mariadb-5.5
Source-Version: 5.5.32-1

We believe that the bug you reported is fixed in the latest version of
mariadb-5.5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otto Kekäläinen <otto@seravo.fi> (supplier of updated mariadb-5.5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Sept 2013 15:09:51 +0300
Source: mariadb-5.5
Binary: libmariadbclient18 libmariadbd-dev libmariadbclient-dev mariadb-common mariadb-client-core-5.5 mariadb-client-5.5 mariadb-server-core-5.5 mariadb-test-5.5 mariadb-server-5.5 mariadb-server mariadb-client mariadb-test
Architecture: source all i386
Version: 5.5.32-1
Distribution: sid
Urgency: low
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Otto Kekäläinen <otto@seravo.fi>
Description: 
 libmariadbclient-dev - MariaDB database development files
 libmariadbclient18 - MariaDB database client library
 libmariadbd-dev - MariaDB embedded database development files
 mariadb-client - MariaDB database client (metapackage depending on the latest vers
 mariadb-client-5.5 - MariaDB database client binaries
 mariadb-client-core-5.5 - MariaDB database core client binaries
 mariadb-common - MariaDB common metapackage
 mariadb-server - MariaDB database server (metapackage depending on the latest vers
 mariadb-server-5.5 - MariaDB database server binaries
 mariadb-server-core-5.5 - MariaDB database core server files
 mariadb-test - MariaDB database regression test suite (metapackage for the lates
 mariadb-test-5.5 - MariaDB database regression test suite
Closes: 565308
Changes: 
 mariadb-5.5 (5.5.32-1) unstable; urgency=low
 .
   [ Otto Kekäläinen ]
   * Initial package for Debian (Closes: #565308), based on upstream
     packaging:
     - mariadb-5.3 by Sergei Golubchik
     - mariadb-5.2 by Kristian Nielsen
     - mariadb-5.1 by Peter Lieverdink
   * Bring packaging up-to-date inline with mysql-5.5 packaging.
   * Refine control file and tidy lintian warnings
   * Rename libmysqlclient18 -> libmariadbclient18.
   * Add suitable Breaks/Replaces/Provides to support migration
     to/from mysql-server-5.5.
   * Plus multiple other updates based on feedback from Debian maintainers
 .
   [ James Page ]
   * d/control,rules: Cherry picked fix from mysql-5.5 packaging to disable
     x86 assembler in taocrypt on i386 architectures, removing need for
     gcc-4.4 dependency.
   * d/control: Add myself to uploaders.
   * d/control: Update Vcs fields for new location on git.debian.org.
Checksums-Sha1: 
 c660d0a69e1841a0ba82884e3795281ae0f3e992 2953 mariadb-5.5_5.5.32-1.dsc
 f82d7486dd8fcc8284930a2069f6495239ec3dee 26595923 mariadb-5.5_5.5.32.orig.tar.gz
 a29051d3606d610757feef5798fff6c2bcfe1dc4 232367 mariadb-5.5_5.5.32-1.debian.tar.gz
 19eeb4b3f05545e59b1c24aa17dd0a9937256358 10396 mariadb-common_5.5.32-1_all.deb
 e4eb9b1fe9eb489cbd8898276ff253cdb20d48ad 10658 mariadb-server_5.5.32-1_all.deb
 bdc73485d2a8e51b26f16e85e259ab4927ece4a6 10530 mariadb-client_5.5.32-1_all.deb
 08684d6a98a6ed63facf77aa77be1bf7f9ebf373 10490 mariadb-test_5.5.32-1_all.deb
 33abc5dd0f512f5570dfcaaeeee896512fb53c19 530114 libmariadbclient18_5.5.32-1_i386.deb
 4959af043f50ed85e8d2d44f255cd683b4829c5e 6633200 libmariadbd-dev_5.5.32-1_i386.deb
 b28667c71f99edc7c689ed7e7ae2f67bb671e017 1261392 libmariadbclient-dev_5.5.32-1_i386.deb
 f1487dea5c7f884803f21195f8c04209ac4c0157 704388 mariadb-client-core-5.5_5.5.32-1_i386.deb
 571239fbd9c947cd6a384400ab9f23dced48c582 949064 mariadb-client-5.5_5.5.32-1_i386.deb
 daaeaaa52fe7f0549b82aed02806a87ca3131662 3668966 mariadb-server-core-5.5_5.5.32-1_i386.deb
 f88e5771de5978b2ed5a167d5e8ea46592b6f503 12688506 mariadb-test-5.5_5.5.32-1_i386.deb
 920557bacca268aa72688ef4ce14e5a1b3ff5e38 3356396 mariadb-server-5.5_5.5.32-1_i386.deb
Checksums-Sha256: 
 f0299768888c2566f57236b8d3649462f89b7c25afe4c371a25e80baf3b67775 2953 mariadb-5.5_5.5.32-1.dsc
 e54cc446bc0b151d62c0fce42ef469425a580c71ce9a69ca9bb9bfc6e6890085 26595923 mariadb-5.5_5.5.32.orig.tar.gz
 7c6a0cf15b59dadbe1c47a4aa499ad9e110c013c0cc03a37420f7138f719e050 232367 mariadb-5.5_5.5.32-1.debian.tar.gz
 b9c28dbcd35d7f6dd2a9a65880cc0b1c33d78f55eb45d963f03a1b4b78856793 10396 mariadb-common_5.5.32-1_all.deb
 8b841e666675bb8eea03179f676718999aa72887bd5038d1544949633303d810 10658 mariadb-server_5.5.32-1_all.deb
 be8bcb46ea260c9de712c112c35bc31fc21544eab5ba9114eba5226daadc895f 10530 mariadb-client_5.5.32-1_all.deb
 200ad472dd12b13f1c53397457aa163b0e6e1ecfcfaf0a663bdfd2c16956fbf8 10490 mariadb-test_5.5.32-1_all.deb
 0a6154274e431ccc43e11b1f02cf42568b1434ae5c28df3677e2dfe1ce34d4fb 530114 libmariadbclient18_5.5.32-1_i386.deb
 0d56a5fd955d36a041319ff39c1541efb29a987662429389f8aa59d1dd35e0c0 6633200 libmariadbd-dev_5.5.32-1_i386.deb
 7613312f5ebb36304a52a66905279513f2717c4b2d7a831dacda4353488b7719 1261392 libmariadbclient-dev_5.5.32-1_i386.deb
 4eb8fbce576d60449a89518a71591b6f693ac7a372d86994dfd1e49fe82f80b1 704388 mariadb-client-core-5.5_5.5.32-1_i386.deb
 63fb6885d8d6ce32bc85d7bfe5d3bd914c74d846b07e7af40a26bc5f27cb56df 949064 mariadb-client-5.5_5.5.32-1_i386.deb
 98f41a35eb7d779d8adf4ed96a3b9f0b9561a923e927dcd88eedb03b1330d374 3668966 mariadb-server-core-5.5_5.5.32-1_i386.deb
 2ea402678f2afcdb942a7541db06d5a3adef0e7678bd98c39cda698688cddb4a 12688506 mariadb-test-5.5_5.5.32-1_i386.deb
 36914929cd70a456b2f074050d50eadeba4ddb5a35892a3d2c7e3030febe59ea 3356396 mariadb-server-5.5_5.5.32-1_i386.deb
Files: 
 6b2a72b5bbdf901866eacd48cc566d93 2953 database optional mariadb-5.5_5.5.32-1.dsc
 0a53687d5277c599988e5031150e97b4 26595923 database optional mariadb-5.5_5.5.32.orig.tar.gz
 e7795be95deafb23189f00f825c24c7b 232367 database optional mariadb-5.5_5.5.32-1.debian.tar.gz
 295ca613fb7c8a085290f9fd00cf9cf8 10396 database optional mariadb-common_5.5.32-1_all.deb
 3af16e07919e033563631742e1991b84 10658 database optional mariadb-server_5.5.32-1_all.deb
 850641f070b2c73fce2823586c6fc535 10530 database optional mariadb-client_5.5.32-1_all.deb
 e01c68b77333952c14cdf4bd1fca80d2 10490 database optional mariadb-test_5.5.32-1_all.deb
 17efdd373d8ebfb6e29473a501cb23f8 530114 libs optional libmariadbclient18_5.5.32-1_i386.deb
 12b821a4cfd9df062e0a4a8d2fd0cb78 6633200 libdevel optional libmariadbd-dev_5.5.32-1_i386.deb
 a41dfd2d00904115b542893f2d2c984f 1261392 libdevel optional libmariadbclient-dev_5.5.32-1_i386.deb
 0d68f091a61d8d09e1a193726752d318 704388 database optional mariadb-client-core-5.5_5.5.32-1_i386.deb
 411f4159dd3e8bc08c06f0e28af20510 949064 database optional mariadb-client-5.5_5.5.32-1_i386.deb
 bd0501a567d1b7b15c90544c03d465d5 3668966 database optional mariadb-server-core-5.5_5.5.32-1_i386.deb
 fef09abc1f95d80632c28450889a637e 12688506 database optional mariadb-test-5.5_5.5.32-1_i386.deb
 9029a8e520800ba6a8cba179f5c45b32 3356396 database optional mariadb-server-5.5_5.5.32-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSSY+VAAoJEL/srsug59jDoIoP/iq3ppt6FSbZtBOnpwZTMtkJ
6SzUSLgwvsDdpUw0pUhUdN0MMN6L2QJkbQAV7+XmYb2m8ynTuNaQKbSd0iW6KP+N
unBvp1tD4yI6+A0fIbDdPXeIz+W5HKa3y/beRXw6UhqgA4dPypdRKC1opdq1sdE6
4sTgEZmgCOfz99dEWfzqs9pPmGevXNa30M9DX12CQR2gYaTkFoufWymxtb/SlFaT
9+cWKPIFr800+n2ZtcMjZgxBogor/hUIVsEDASGm58pz+ThMIXmFN6bpGON6dwDt
JB2NfwUJgqm1LGA8mxHWySJQG+W3Rg66utfZLO7r4c/KKEiG3FXd1RRBunJkdLTF
tQwibjTJ6XQsyWGlRQmwvqpJuMWZhARNd6l4sLmKAuR3n1hC/PUzv0UMK9wZOko0
IZjIC2JEfdafjSR6J2cQfneXoeb8M09usP0X1esam/SxKS8FFUwHFFBUSM+XVXGg
XGl3dRlAGeWnQMd/pby7CsNEZcunNZihNUiDMI4pqUpvFoZMskekprABnCk9KOn5
xcmbQ8d2aYGET6SgsNMNvOSQCtXMGmubTkpRcsMGO8jibuBxJu+06jWDsNciRYH4
EZaOlxheHjgOYZ0kPXYVyNn8AlLlm2u3jncxgT1tvCbSlmbGt38Oe1N75+ibteGs
MUDUIRNoEKkbvMRKRVRb
=mxq4
-----END PGP SIGNATURE-----




Reply sent to Otto Kekäläinen <otto@seravo.fi>:
You have taken responsibility. (Sun, 22 Dec 2013 04:06:09 GMT) Full text and rfc822 format available.

Notification sent to Robert de Bath <robert$@debath.co.uk>:
Bug acknowledged by developer. (Sun, 22 Dec 2013 04:06:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Jan 2014 07:25:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:31:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.